Subject: Re: bug#8021: bootstrap failed on solaris10

From: Jim Meyering <[email-masked]>
Date: Fri, 22 Jul 2011 23:58:14 +0200

Jim Meyering wrote:
> Jeff liu wrote:
>> I was ran into a wired issue when running `bootstrap` on solaris10
>> with bash-3.00,
>> bash-3.00# ./bootstrap
>> ./bootstrap: syntax error at line 328: `p1=$' unexpected
>
> Try "bash ./bootstrap".
> Otherwise, bootstrap uses /bin/sh, which (on that system)
> doesn't know about the $(...) syntax.
>
>> bash-3.00# uname -a
>> SunOS pibroch 5.10 Generic_142910-17 i86pc i386 i86pc
>>
>> Coreutils is cloned from upstream, I am intend to try it on Solaris
>> for sparse file copy through lseek.

Jeff confirmed that using bash worked around the problem,
so I'm closing this.